<?
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
?>
<div class='noy'>Нет комментариев</div>
<?
}

$q=mysql_query("SELECT * FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}

echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a> (".vremja($post['time']).")<br />\n";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
if (user_access('obmen_komm_del'))
echo "<a href='?komm&amp;page=$page&amp;del_post=$post[id]'>Удалить</a><br />\n";
echo "</div>\n";
}

if ($k_page>1)str('?komm&amp;',$k_page,$page);


if (isset($user))
{
echo "<form method=\"post\" name='message' action=\"?komm\">\n";
echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value='Отправить' type='submit' />\n";
echo "</form>\n";
}
?>